Name:           msmtp
Version:        1.4.32
Release:        1%{?dist}
Summary:        SMTP client
Group:          System Environment/Base
License:        GPLv3+
URL:            http://msmtp.sourceforge.net
Source0:        http://downloads.sourceforge.net/project/%{name}/%{name}/%{version}/%{name}-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

%if 0%{?el5}
BuildRequires:  openssl-devel
%else
BuildRequires:  gnutls-devel
%endif
BuildRequires:  libidn-devel
BuildRequires:  gettext
BuildRequires:  libgsasl-devel
%if 0%{?el5}%{?el6}
BuildRequires:  gnome-keyring-devel
%else
BuildRequires:  libgnome-keyring-devel
%endif

Requires(post): /sbin/install-info
Requires(preun): /sbin/install-info


%description
It forwards messages to an SMTP server which does the delivery.
Features include:
  * Sendmail compatible interface (command line options and exit codes).
  * Authentication methods PLAIN,LOGIN,CRAM-MD5,DIGEST-MD5,GSSAPI,and NTLM
  * TLS/SSL both in SMTP-over-SSL mode and in STARTTLS mode.
  * Fast SMTP implementation using command pipelining.
  * Support for Internationalized Domain Names (IDN).
  * DSN (Delivery Status Notification) support.
  * RMQS (Remote Message Queue Starting) support (ETRN keyword).
  * IPv6 support.


%prep
%setup -q

%build
%configure --disable-rpath --with-gnome-keyring %{?el5:--with-ssl=openssl}
make %{?_smp_mflags}


%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot} INSTALL='install -p'
rm -f scripts/Makefile*
%find_lang %{name}
rm -f %{buildroot}%{_infodir}/dir

%post
/sbin/install-info %{_infodir}/%{name}.info %{_infodir}/dir || :

%preun
if [ $1 = 0 ]; then
/sbin/install-info --delete %{_infodir}/%{name}.info %{_infodir}/dir || :
fi


%clean
rm -rf %{buildroot}

%files -f %{name}.lang
%doc AUTHORS COPYING NEWS README THANKS scripts
%doc doc/msmtprc-system.example doc/msmtprc-user.example doc/Mutt+msmtp.txt
%{_bindir}/%{name}
%{_infodir}/%{name}.info*
%{_mandir}/man1/%{name}.1*


%changelog
* Thu Mar 13 2014 Niels de Vos <devos@fedoraproject.org> - 1.4.32-1
- Ver. 1.4.32 (#1074922)

* Mon Sep 02 2013 Peter Lemenkov <lemenkov@gmail.com> - 1.4.31-1
- Ver. 1.4.31

* Thu Aug  1 2013 Ville Skyttä <ville.skytta@iki.fi> - 1.4.29-3
- Fix build with unversioned %%{_docdir_fmt}.

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4.29-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sun Oct 07 2012 Nikolay Vladimirov <nikolay@vladimiroff.com> - 1.4.29-1
- New upstream release

* Tue Aug 07 2012 Ian Weller <iweller@redhat.com> - 1.4.27-3
- BR: libgnome-keyring-devel (fixes RHBZ 838330)

* Fri Jul 20 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4.27-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat Jan 28 2012 Nikolay Vladimirov <nikolay@vladimiroff.com> - 1.4.27-1
- New upstream release
- install the helper scripts in package's docir
- minor spec cleanup

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4.23-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Fri Apr 15 2011 Nikolay Vladimirov <nikolay@vladimiroff.com> - 1.4.23-1
- New upstream release

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4.19-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Tue Jan 12 2010 Nikolay Vladimirov <nikolay@vladimiroff.com> - 1.4.19-1
- new upstream release
- fix source0

* Sat Jul 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4.17-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4.17-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Thu Jan 1 2009 Nikolay Vladimirov <nikolay@vladimiroff.com> - 1.4.17-1
- Msmtp now also reads SYSCONFDIR/netrc if the password wasn't found in ~/.netrc.
- Support for the GNOME keyring was added by Satoru SATOH.
- Added BuildRequires for gnome-keyring-devel due to the new feature.
- Added PDF version of the manual.

* Tue Jul 29 2008 Nikolay Vladimirov <nikolay@vladimiroff.com> - 1.4.16-1
- new upstream release - 1.4.16

* Fri Jun 27 2008 Nikolay Vladimriov <nikolay@vladimiroff.com> - 1.4.15-1
- new upstream release
- rebuild for new gnutls 

* Sat Apr 19 2008 Nikolay Vladimirov <nikolay@vladimiroff.com> - 1.4.14-1
- new upstream release

* Wed Feb 20 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 1.4.13-4
- Autorebuild for GCC 4.3

* Wed Aug 29 2007 Nikolay Vladimirov <nikolay@vladimiroff.com> - 1.4.13-3
- rebuild for ppc32 selinux fix

* Thu Aug 2 2007 Nikolay Vladimirov <nikolay@vladimiroff.com> - 1.4.13-2
- License tag changed

* Thu Aug 2 2007 Nikolay Vladimirov <nikolay@vladimiroff.com> - 1.4.13-1
- 1.4.13
- license changed to GPLv3

* Sat Jun 30 2007 Nikolay Vladimirov <nikolay@vladimiroff.com> - 1.4.12-7
- timestamps fix

* Sat Jun 30 2007 Nikolay Vladimirov <nikolay@vladimiroff.com> - 1.4.12-6
- minor spec fixes

* Thu Jun 28 2007 Nikolay Vladimirov <nikolay@vladimiroff.com> - 1.4.12-5
- removed provides for sendmail
- added BuildRequires for libgsasl

* Fri Jun 22 2007 Nikolay Vladimirov <nikolay@vladimiroff.com> - 1.4.12-4
- not using alternatives

* Wed Jun 20 2007 Nikolay Vladimirov <nikolay@vladimiroff.com> - 1.4.12-3
- now using alternatives 
- added provides for sendmail 
- edited description 

* Tue Jun 19 2007 Nikolay Vladimirov <nikolay@vladimiroff.com> - 1.4.12-2
- fixed source0
- removed openssl-devel from BuildRequires
- added BuildRequires for gettext
- added more doc files

* Tue Jun 19 2007 Nikolay Vladimirov <nikolay@vladimiroff.com> - 1.4.12-1
- new version 
- changed Summary and description

* Mon Jun 11 2007 Nikolay Vladimirov <nikolay@vladimiroff.com> - 1.4.11-2
- fixed URL, Summary and description

* Mon Jun 11 2007 Nikolay Vladimirov <nikolay@vladimiroff.com> - 1.4.11-1
- initial release
